petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESLineSearchSetNorms

Gets the computed norms for for X, Y, and F.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetNorms(SNESLineSearch linesearch, PetscReal xnorm, PetscReal fnorm, PetscReal ynorm)

### Input Parameters

| linesearch | - linesearch context
| xnorm | - The norm of the current solution
| fnorm | - The norm of the current function
| ynorm | - The norm of the current update

### See Also

SNESLineSearchGetNorms(), SNESLineSearchSetVecs()

### Level

advanced

### Location

src/snes/linesearch/interface/linesearch.c

### Examples

src/snes/examples/tutorials/ex1f.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages